package com.hai.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * high_discount_package_discount_actual
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighDiscountPackageDiscountActual implements Serializable {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 代理商优惠券关系id
     */
    private Long agentDiscountCodeId;

    /**
     * 优惠券包id
     */
    private Integer discountPackageId;

    /**
     * 优惠券包真实库存关系id
     */
    private Integer discountPackageActualId;

    /**
     * 代理商id
     */
    private Long agentId;

    /**
     * 优惠券id
     */
    private Long discountId;

    /**
     * 创建人
     */
    private Integer createdUserId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 状态 0: 不可用 1：可用
     */
    private Integer status;

    /**
     * 扩展字段
     */
    private String ext1;

    /**
     * 扩展字段
     */
    private String ext2;

    /**
     * 扩展字段
     */
    private String ext3;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Long getAgentDiscountCodeId() {
        return agentDiscountCodeId;
    }

    public void setAgentDiscountCodeId(Long agentDiscountCodeId) {
        this.agentDiscountCodeId = agentDiscountCodeId;
    }

    public Integer getDiscountPackageId() {
        return discountPackageId;
    }

    public void setDiscountPackageId(Integer discountPackageId) {
        this.discountPackageId = discountPackageId;
    }

    public Integer getDiscountPackageActualId() {
        return discountPackageActualId;
    }

    public void setDiscountPackageActualId(Integer discountPackageActualId) {
        this.discountPackageActualId = discountPackageActualId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getDiscountId() {
        return discountId;
    }

    public void setDiscountId(Long discountId) {
        this.discountId = discountId;
    }

    public Integer getCreatedUserId() {
        return createdUserId;
    }

    public void setCreatedUserId(Integer createdUserId) {
        this.createdUserId = createdUserId;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighDiscountPackageDiscountActual other = (HighDiscountPackageDiscountActual) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getAgentDiscountCodeId() == null ? other.getAgentDiscountCodeId() == null : this.getAgentDiscountCodeId().equals(other.getAgentDiscountCodeId()))
            && (this.getDiscountPackageId() == null ? other.getDiscountPackageId() == null : this.getDiscountPackageId().equals(other.getDiscountPackageId()))
            && (this.getDiscountPackageActualId() == null ? other.getDiscountPackageActualId() == null : this.getDiscountPackageActualId().equals(other.getDiscountPackageActualId()))
            && (this.getAgentId() == null ? other.getAgentId() == null : this.getAgentId().equals(other.getAgentId()))
            && (this.getDiscountId() == null ? other.getDiscountId() == null : this.getDiscountId().equals(other.getDiscountId()))
            && (this.getCreatedUserId() == null ? other.getCreatedUserId() == null : this.getCreatedUserId().equals(other.getCreatedUserId()))
            && (this.getCreatedTime() == null ? other.getCreatedTime() == null : this.getCreatedTime().equals(other.getCreatedTime()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getAgentDiscountCodeId() == null) ? 0 : getAgentDiscountCodeId().hashCode());
        result = prime * result + ((getDiscountPackageId() == null) ? 0 : getDiscountPackageId().hashCode());
        result = prime * result + ((getDiscountPackageActualId() == null) ? 0 : getDiscountPackageActualId().hashCode());
        result = prime * result + ((getAgentId() == null) ? 0 : getAgentId().hashCode());
        result = prime * result + ((getDiscountId() == null) ? 0 : getDiscountId().hashCode());
        result = prime * result + ((getCreatedUserId() == null) ? 0 : getCreatedUserId().hashCode());
        result = prime * result + ((getCreatedTime() == null) ? 0 : getCreatedTime().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", agentDiscountCodeId=").append(agentDiscountCodeId);
        sb.append(", discountPackageId=").append(discountPackageId);
        sb.append(", discountPackageActualId=").append(discountPackageActualId);
        sb.append(", agentId=").append(agentId);
        sb.append(", discountId=").append(discountId);
        sb.append(", createdUserId=").append(createdUserId);
        sb.append(", createdTime=").append(createdTime);
        sb.append(", status=").append(status);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}